# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::MotionCompensator_Pixel Class Reference

Pixel precision Motion compensator class.

`#include <mot_comp.h>`

Inheritance diagram for dirac::MotionCompensator_Pixel:

[legend]
Collaboration diagram for dirac::MotionCompensator_Pixel:

[legend]

List of all members.

## Public Member Functions

- MotionCompensator_Pixel (const CodecParams &cp)
    Constructor.

## Private Member Functions

- virtual void CompensateBlock (TwoDArray< CalcValueType > &pic_data, const ImageCoords &orig_pic_size, const PicArray &refup_data, const MVector &Vec, const ImageCoords &Pos, const TwoDArray< ValueType > &Weights)
    Motion-compensate a block.

## Constructor & Destructor Documentation

dirac::MotionCompensator_Pixel::MotionCompensator_Pixel | ( | const CodecParams & | cp | ) |

Constructor initialises using codec parameters.

## Member Function Documentation

virtual void dirac::MotionCompensator_Pixel::CompensateBlock | ( | TwoDArray< CalcValueType > & | pic_data,
|  | const ImageCoords & | orig_pic_size,
|  | const PicArray & | refup_data,
|  | const MVector & | Vec,
|  | const ImageCoords & | Pos,
|  | const TwoDArray< ValueType > & | Weights |
| ) |  |  | `[private, virtual]`

Implements dirac::MotionCompensator.

The documentation for this class was generated from the following file:

- mot_comp.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.